#
# $Header: /cvsroot/tutos/tutos/tutos.spec.in,v 1.5 2003/08/07 16:36:50 gokohnert Exp $
#
Name:      TUTOS
Version:   1.2.20070510
Summary:   the ultimate team organization software
Release:   1
Source0:   http://download.sourceforge.net/tutos/%{name}-php-%{version}.tar.bz2
Group:     Web/Applications
Copyright: GPL2
URL:       ftp://tutos.sourceforge.net/pub/tutos/tutos-all-%{version}.tar.gz
Vendor:    Gero Kohnert <gokohnert@users.sourceforge.net>
Requires:  apache, php
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager:  Gero Kohnert
Prefix:    /usr/share/tutos

%description
TUTOS is a webbased groupware or ERP/CRM suite that provides the users with
- personal and group calendars
- addressbook
- projectmanagement
- filemanagement
- taskmanagement
- bugtracking
- notes
- installation management
- mail interface

%prep

%setup -n tutos

%build 
echo "BUILDING"

chmod 755 *.sh
chmod 644 php/*

%install
rm -rf $RPM_BUILD_ROOT
mkdir -m 755 -p %{buildroot}%{_docdir}/tutos
mkdir -m 755 -p $RPM_BUILD_ROOT%{prefix}/php
mkdir -m 755 -p $RPM_BUILD_ROOT%{prefix}/php/note
mkdir -m 755 -p $RPM_BUILD_ROOT%{prefix}/php/watchlist
mkdir -m 755 -p $RPM_BUILD_ROOT%{prefix}/php/invoice
mkdir -m 755 -p $RPM_BUILD_ROOT%{prefix}/php/group
mkdir -m 755 -p $RPM_BUILD_ROOT%{prefix}/php/resource
mkdir -m 777 -p $RPM_BUILD_ROOT%{prefix}/repository
mkdir -m 755 -p $RPM_BUILD_ROOT%{prefix}/homepage
mkdir -m 755 -p $RPM_BUILD_ROOT%{prefix}/html
mkdir -m 755 -p $RPM_BUILD_ROOT%{prefix}/html/blue
mkdir -m 755 -p $RPM_BUILD_ROOT%{prefix}/html/red
mkdir -m 755 -p $RPM_BUILD_ROOT%{prefix}/html/visual
mkdir -m 755 -p $RPM_BUILD_ROOT%{prefix}/html/nuke
mkdir -m 755 -p $RPM_BUILD_ROOT%{prefix}/html/help

# Dokumenatation is directly linked inside TUTOS
# so its placed in the BUILD Path
mkdir -m 755 -p $RPM_BUILD_ROOT%{prefix}/documentation
mkdir -m 755 -p $RPM_BUILD_ROOT%{prefix}/documentation/book0

cp -a php/*.p* $RPM_BUILD_ROOT%{prefix}/php/
chmod 644 $RPM_BUILD_ROOT%{prefix}/php/*.p*

cp -a php/.htaccess $RPM_BUILD_ROOT/usr/share/tutos/php/
chmod 644 $RPM_BUILD_ROOT%{prefix}/php/.htaccess

cp -a php/note/*.p* $RPM_BUILD_ROOT%{prefix}/php/note
cp -a php/watchlist/*.p* $RPM_BUILD_ROOT%{prefix}/php/watchlist
cp -a php/resource/*.p* $RPM_BUILD_ROOT%{prefix}/php/resource
cp -a php/invoice/*.p* $RPM_BUILD_ROOT%{prefix}/php/invoice
cp -a php/group/*.p* $RPM_BUILD_ROOT%{prefix}/php/group
chmod 644 $RPM_BUILD_ROOT%{prefix}/php/note/*.p*
chmod 644 $RPM_BUILD_ROOT%{prefix}/php/watchlist/*.p*
chmod 644 $RPM_BUILD_ROOT%{prefix}/php/resource/*.p*
chmod 644 $RPM_BUILD_ROOT%{prefix}/php/invoice/*.p*
chmod 644 $RPM_BUILD_ROOT%{prefix}/php/group/*.p*


cp -a html $RPM_BUILD_ROOT%{prefix}/html

cp -a homepage/install*html $RPM_BUILD_ROOT%{prefix}/homepage
cp -a documentation/book0/* $RPM_BUILD_ROOT%{prefix}/documentation/book0

cp -a *.sh $RPM_BUILD_ROOT%{prefix}/
cp -a README* $RPM_BUILD_ROOT%${prefix}/
cp -a INSTALL $RPM_BUILD_ROOT%{prefix}/
cp -a apache.conf $RPM_BUILD_ROOT%{prefix}/


%files
%defattr(-,root,root)
%{prefix}/php
%{prefix}/html
%{prefix}/homepage
%{prefix}/repository
%{prefix}/createdb.sh
%{prefix}/scheme.sh
%{prefix}/shellfunc.sh

%config %{prefix}/apache.conf
%doc %{prefix}/README*
%doc %{prefix}/INSTALL
%doc %{prefix}/homepage/install*html
%doc %{prefix}/documentation
%dir %{prefix}/repository

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "To install and configure,"
echo "please read %{_docdir}/%{name}-%{version}/install.html"
echo "Don't forget to add"
echo "  include %{prefix}/apache.conf"
echo "at the end of /etc/httpd/conf/httpd.conf and restart httpd"

%changelog




